package com.iamberry.wechat.service.mapper;

import com.iamberry.wechat.core.entity.channel.ChannelRebate;

import java.util.List;

/**
 *  上朵分销返利记录接口
 * @author xm
 * @Date 2018-07-23
 */
public interface ChannelRebateMapper {
    /**
     * 获取集合
     * @param  channelRebate
     * @return List
     */
    List<ChannelRebate> getChannelRebateList(ChannelRebate  channelRebate);
    /**
     * 查询单条数据
     * @param  id
     * @return  channelRebate
     */
    ChannelRebate  getChannelRebateById(Integer  id);
    /**
     * 增加数据
     * @param  channelRebate
     * @return Integer
     */
    Integer  save(ChannelRebate  channelRebate);
    /**
     * 修改数据
     * @param  channelRebate
     * @return Integer
     */
    Integer  update(ChannelRebate  channelRebate);
    /**
     * 批量修改状态为已返利待打款
     * @param
     * @return Integer
     */
    Integer updateRebackStatus(ChannelRebate channelRebate);
    /**
     * 获取选中的返利总额
     * @param
     * @return Integer
     */
    Integer getChannelRebateSum(ChannelRebate channelRebate);
}